/* Copyright 2004 Sun Microsystems, Inc.  All rights reserved.  You may not modify, use, reproduce, or distribute this software except in compliance with the terms of the License at: 
 http://adventurebuilder.dev.java.net/LICENSE.txt
 $Id: SampleBean.java,v 1.1 2004/11/17 21:02:00 gmurray71 Exp $ */

package com.sun.j2ee.blueprints.clientstate;

import java.util.*;

/**
 * This Bean Contains Data that is Cached.
 */
public class SampleBean implements java.io.Serializable {
    
    private String nextPage;
    private ArrayList words;

    public SampleBean() {
        words = new ArrayList();
    } 
    
    public void addWord(String word) {
        words.add(word);
    }

    public void removeWord(String target) {
        words.remove(target);
    }

    public void setNextPage(String nextPage) {
        this.nextPage = nextPage;
    }
    
    public Iterator getWords() {
        return words.iterator();
    }
    
    public String toString() {
        return "SampleBean { words=" + words + "}";
    }

}
