/*
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved. You may not modify, use, reproduce, or distribute this software except in compliance with the terms of the License at:
 * http://developer.sun.com/berkeley_license.html
 * $Id: InvalidItemException.java,v 1.1 2006/06/22 22:18:54 smitha Exp $
 */

package com.sun.javaee.blueprints.autoid;

/**
 * An application exception indicating something has gone wrong
 * These are errors which the application could potentially
 * take some corrective action on, such as asking a user to
 * provide value for a field in the HTML form
 */

public class InvalidItemException extends Exception {
    public InvalidItemException() {}
    public InvalidItemException(String msg) { super(msg); }
    public InvalidItemException(String msg, Throwable cause) { super(msg, cause); }
    public InvalidItemException(Throwable cause) { super(cause); }
    
}