/* 
* Copyright 2006 Sun Microsystems, Inc. All rights reserved. You may not modify, use, reproduce, or distribute this software except in compliance with the terms of the License at:
* http://developer.sun.com/berkeley_license.html
* $Id: CompBBean.java,v 1.2 2006/06/23 17:05:41 basler Exp $ 
*/ 
package com.sun.javaee.blueprints.components.ui.example;

import java.io.IOException;
import javax.faces.event.PhaseEvent;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpServletResponse;

/*
 * CompBBean.java
 *
 * Created on June 15, 2006, 8:22 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

/**
 *
 * @author basler
 */
public class CompBBean {
    
    private String itemId="This is one test";
    private static final boolean bDebug=false;
    
    /** Creates a new instance of Comp1Bean */
    public CompBBean() {
    }
    
    public void processMethod(PhaseEvent event) {
        HttpServletResponse response=null;
        try {
            FacesContext context=event.getFacesContext();
            response=(HttpServletResponse)context.getExternalContext().getResponse();
            StringBuffer sb=new StringBuffer();
            response.setContentType("text/xml;charset=UTF-8");
            response.setStatus(200);
            // need to set no cache or IE will not make future requests when same URL used.
            response.setHeader("Pragma", "No-Cache");
            response.setHeader("Cache-Control", "no-cache,no-store,max-age=0");
            response.setDateHeader("Expires", 1);
            sb.append("<response>");
            
            if(itemId.indexOf("test1") > -1) {
                sb.append("<title><![CDATA[" + itemId + " Lookup]]></title>");
                sb.append("<message><![CDATA[<b>The itemId that is performing this lookup is '" + itemId +
                        "'.</b><br/><br/>This popup is trigger through the onmouseover and onmouseout event handlers.  " +
                        "This popup request is fulfilled using a <b>JSF managed bean</b>, that is called by the CompBPhaselistener]]></message>");
            } else {
                sb.append("<title><![CDATA[" + itemId + " Lookup]]></title>");
                sb.append("<message><![CDATA[<b>The itemId that is performing this lookup is '" + itemId +
                        "'.</b><br/><br/>This popup is trigger through the onmouseover event handler and hidden when the user clicks on the 'CLOSE' link in the popup." +
                        "This popup request is fulfilled using a <b>JSF managed bean</b>, that is called by the CompBPhaselistener" +
                        "<br/><br/><span onclick=\"bpui.compB.hidePopup('pop1')\" style=\"z-index: 4; position: relative; cursor: pointer\"><b>[<u>CLOSE</u>]</b></span>" +
                        "]]></message>");
            }
            
            
            
            sb.append("</response>");
            if(bDebug) System.out.println("processMethod final = " + sb);
            response.getWriter().write(sb.toString());
        } catch (IOException iox) {
            iox.printStackTrace();
        } finally {
            try {
                response.getWriter().flush();
            } catch (Exception ee) {}
            event.getFacesContext().responseComplete();
        }
        
    }
    
    public void setItemId(String id) {
        this.itemId=id;
    }
    public String getItemId() {
        return itemId;
    }
    
}
