if(typeof(bpui) == 'undefined') {
    var bpui=new Object();
}

bpui.compB=new Object();
bpui.compB.timeout="";
bpui.compB.req="";

bpui.compB.showPopup=function(popupx, eventx, itemId) {
    // Position popup base on event and set timeout so popup is flashing all the time
    var xx=0;
    var yy=0;
    if (!eventx) var eventx=window.event;
    if (eventx.pageX || eventx.pageY){
        xx=eventx.pageX;
        yy=eventx.pageY;
    } else if (eventx.clientX || eventx.clientY) {
        xx=eventx.clientX + document.body.scrollLeft;
        yy=eventx.clientY + document.body.scrollTop;        
    }
    document.getElementById(popupx).style.left= (xx + 3) + "px";
    document.getElementById(popupx).style.top=yy + "px";
    // make sure the popup doesn't show all the time, need to mouseover for at least 1 second.
    bpui.compB.timeout=setTimeout("bpui.compB.showPopupInternal('" + popupx + "', '" + itemId + "')", 1000);
}


bpui.compB.showPopupInternal=function(popupx, itemId) {
    // initialize the AJAX request
    bpui.compB.req=bpui.compB.initRequest();
    // retrieve the correct popup object that is being shown
    popObject=bpui.compB[popupx];

    // concatenate the itemId value to the URI
    url=popObject.urlx + escape(itemId);
    // set the correct popup's callback function
    bpui.compB.req.onreadystatechange = popObject.ajaxReturnFunction;
    bpui.compB.req.open("GET", url, true);
    // send the request
    bpui.compB.req.send(null);
}


bpui.compB.createPopup=function(componentId, urlx) {
    this.componentId=componentId;
    this.urlx=urlx;

    this.ajaxReturnFunction=function() {
        // make sure response is ready
        if (bpui.compB.req.readyState == 4) {
            // make sure it is a valid response
            if (bpui.compB.req.status == 200) {
                // populate the popup with the info from the response
                var resultx=bpui.compB.req.responseXML.getElementsByTagName("response")[0];
                document.getElementById(componentId + "_title").innerHTML=resultx.getElementsByTagName("title")[0].childNodes[0].nodeValue;
                document.getElementById(componentId + "_message").innerHTML=resultx.getElementsByTagName("message")[0].childNodes[0].nodeValue;;
                // show popup with the newly populated information
                document.getElementById(componentId).style.visibility='visible';
            } else if (bpui.compB.req.status == 204){
                // error, just show alert
                alert("204 returned from AJAX call");
            }
        }
    }
}

bpui.compB.hidePopup=function(popupx) {
    // hide popup and clear timeout so it does show if mouse moves out of triggering area
    document.getElementById(popupx).style.visibility='hidden';
    bpui.compB.clearTimeout();
}

bpui.compB.clearTimeout=function() {
    // must clear timeout or the request won't be canceled
    clearTimeout(bpui.compB.timeout);
}


bpui.compB.initRequest=function() {
    // initiate browser request using feature detection
    if (window.XMLHttpRequest) {
        return new XMLHttpRequest();
    } else if (window.ActiveXObject) {
        return new ActiveXObject("Microsoft.XMLHTTP");
    }
}
