<%-- Copyright 2005 Sun Microsystems, Inc. All rights reserved. You may not modify, use, reproduce, or distribute this software except in compliance with the terms of the License at: http://developer.sun.com/berkeley_license.html
$Id: built-in-validators.jsp,v 1.1 2005/03/08 22:08:47 gmurray71 Exp $ --%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib prefix="date" uri="/WEB-INF/date.tld" %>



<html>
 <head> <title>Using Built In Validators</title> </head>
 <body bgcolor="white">
  <a href="index.jsp">Go back to the application home</a>.
  <h1>Using Built In Validators</h1>
  <hr>
    <f:view>
    <h:form id="validatorForm">
    <p>Enter a number (between 0-5):</p>                  
    <h:inputText id="smallNumber" value="#{ValidatorBean.smallNumber}"
                      validator="#{JSFValidator.validate}"/>
    <p>
     <h:message style="color: red" id="error3" for="smallNumber"/>
    </p>
    <p>Enter a number (between 6-10):</p>                  
    <h:inputText id="bigNumber" value="#{ValidatorBean.bigNumber}">                    
      <f:validateLongRange maximum="10" minimum="6"/>
    </h:inputText>        
    <p>
     <h:message style="color: orange" id="error4" for="bigNumber"/>
    </p>         
    <p>
     <h:commandButton id="submit" action="success" value="Submit" />
    </p>
    <p>
    </h:form>
    </f:view>
    <p>Try entering numbers in the fields provided above. These numbers will be validated using the JSF built in validators. Failure to enter a correct value will cause this page to be re-displayed along with an error message.</p>
    </body>
</html>  
