<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@page import="com.sun.javaee.blueprints.mapviewer.MapBean"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib prefix="ui" uri="http://java.sun.com/blueprints/ui" %>

<%
    try {

        MapBean mb=(MapBean)session.getAttribute("MapBean");
        if(mb == null) {
            session.setAttribute("MapBean", new MapBean());
        }
        
    } catch (Exception e) {
        e.printStackTrace();
    }

%>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Map Viewer Page</title>
  </head>        
  <body>

  <f:view>
        <h1>Map Viewer Page</h1>
        <h:form binding="#{MapBean.mapForm}" id="form1">
            <table>
                <tr>
                    <td>
                        Information Window Contents:  
                    </td>
                    <td colspan=2>
                        <h:inputText binding="#{MapBean.infoText}" size="100" id="info" value="#{MapBean.info}"/>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td colspan=2>
                        Enter the text (if any) for the information window to be displayed over the map center
                    </td>
                </tr>
                <tr>
                    <td>
                        Map Center Location: 
                    </td>
                    <td colspan=2>
                        <h:inputText size="100" id="locationx" value="#{MapBean.location}"/>
                    </td>
                <tr>
                    <td></td>
                    <td colspan=2>            
                        Enter any combination of address, city, state, and zip code&nbsp;&nbsp;</div>
                    </td>
                </tr>
                <tr>
                    <td align="center" colspan=3>
                        <br>
                        <h:commandButton action="#{MapBean.findAction}" id="find" type="submit" value="Find It"/>
                        <h:commandButton binding="#{MapBean.mapButton}" action="#{MapBean.mapAction}" id="map" type="submit" value="Map It"/>
                        <br><br>
                    </td>
                </tr>
                <tr>
                    <td>
                        Found Location: 
                    </td>
                    <td>
                        <h:outputText id="found_address" value="#{MapBean.foundLocation}"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        Found Coordinates: 
                    </td>
                    <td>
                        Latitude: 
                        <h:outputText id="found_latitude" value="#{MapBean.foundLatitude}"/>
                    </td>
                    <td>
                        Longitude:  
                        <h:outputText id="found_longitude" value="#{MapBean.foundLongitude}"/>                        
                    </td>
                </tr>
            </table>
        </h:form>
    </f:view>
    </body>
</html>
