<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@page import="com.sun.javaee.blueprints.mapviewer.MapBean"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib prefix="ui" uri="http://java.sun.com/blueprints/ui" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Map Viewer Page</title>
  </head>        
  <body>
    <f:view>
        <h1>Map Viewer Page</h1>
        To test the Map components enter an address and click the "Find It" button.  The application server must be able 
        to access the Internet, so if the application server is situated behind a firewall, enter the proxy server host and port 
        in the respective fields.
        <br/><br/>
        Once the address is found using the Yahoo service, then click the "Map It" button to show the address on a map using the 
        Google Map Service.<br/><br/><br/>       
        <h:form id="form1">
            <table>
                <tr>
                    <td></td>
                    <td colspan="2">
                        Proxy Host:
                        <h:inputText size="30" id="proxyHost" value="#{MapBean.proxyHost}"/>&nbsp;&nbsp;
                        Proxy Port:
                        <h:inputText size="5" id="proxyPort" value="#{MapBean.proxyPort}"/><br><br>
                    </td>
                </tr>
                <tr>
                    <td>
                        Information Window Contents:  
                    </td>
                    <td colspan=2>
                        <h:inputText size="100" id="info" value="#{MapBean.info}"/>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td colspan=2>
                        Enter the text (if any) for the information window to be displayed over the map center
                    </td>
                </tr>
                <tr>
                    <td>
                        Map Center Location: 
                    </td>
                    <td colspan=2>
                        <h:inputText size="100" id="locationx" value="#{MapBean.location}"/>
                    </td>
                <tr>
                    <td></td>
                    <td colspan=2>            
                        Enter any combination of address, city, state, and zip code&nbsp;&nbsp;</div>
                    </td>
                </tr>
                <tr>
                    <td align="center" colspan=3>
                        <br>
                        <h:commandButton action="#{MapBean.findAction}" id="find" type="submit" value="Find It"/>
                        <h:commandButton action="#{MapBean.mapAction}" disabled="#{MapBean.mapReady}" id="map" type="submit" value="Map It"/>
                        <br><br>
                    </td>
                </tr>
                <tr>
                    <td>
                        Found Location: 
                    </td>
                    <td>
                        <h:outputText id="found_address" value="#{MapBean.foundLocation}"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        Found Coordinates: 
                    </td>
                    <td>
                        Latitude: 
                        <h:outputText id="found_latitude" value="#{MapBean.foundLatitude}"/>
                    </td>
                    <td>
                        Longitude:  
                        <h:outputText id="found_longitude" value="#{MapBean.foundLongitude}"/>                        
                    </td>
                </tr>
            </table>
        </h:form>
    </f:view>
    <br/><br/><br/>
    <c:if test="${initParam['com.sun.blueprints.LIVE_APPLICATION'] != 'true'}">
        <center>
            This coding example is located in the relative directory <a href="${pageContext.request.contextPath}/faces/index.jsp" target="bpcatalog">
            <i>BPCATALOG_INSTALL_DIR</i>/apps/webtier/bp-map-viewer</a>
            <br/>
        </center>    
    </c:if>
    <jsp:include page="footer.jsp" />    
</body>
</html>
