<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%--
To do:
- try and read templates once.
- Resize images
--%>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib prefix="ui" uri="http://java.sun.com/blueprints/ui/14" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta HTTP-EQUIV="no-cache"/>
        <meta http-equiv="Pragma" content="no-cache"/> 
        <meta http-equiv="Cache-Control" content="no-cache"/>        
        <title>JSF AJAX Progress Bar Component</title>

        <script type="text/javascript">
            function progressComplete(progressBarInstance) {
                // progress finish call back
                document.getElementById("startButton").disabled=false;
                document.getElementById("mainDiv").style.display="none";
            }

            function startProgressBar() {
                document.getElementById("mainDiv").style.display="inline";
                document.getElementById("startButton").disabled=true;
                // call progress bar start
                bpui.progressbar.state["progressBar"].start(null);            }
        </script>        
        
        <style>
            .bpui_progressbar_barAreaContainer {
                border-style: groove !important;
                border-width: medium !important;
            }
    
            .bpui_progressbar_portionComplete {
                background: #FF0000 !important;
            }

            .bpui_progressbar_portionRemaining {
                background: lightgrey !important;
            }    
        </style>        
        
        
    </head>
    <body bgcolor="#ffffff">

        <h1>JSF AJAX Progress Bar Component</h1>

        Click on the "StartProgressBar" button to invoke the progress bar. The percentage complete is 
        updated by a custom managed bean accessed using Shale-remoting.<br/><br/>        
        <f:view>
            <form>
                <div id="mainDiv" style="display: none">
                    <ui:progressBar id="progressBar" interval="1000" 
                    onComplete="progressComplete" startOperation="#{ProgressBarBean.startTask}"
                    percentage="#{ProgressBarBean.percentage}" style="width: 400px"/>
                </div>
                <input type="button" id="startButton" onclick="startProgressBar()" value="Start ProgressBar"/>
            </form>
        </f:view>       
        <br/><br/><br/><br/><br/><br/>
        <c:if test="${initParam['com.sun.blueprints.LIVE_APPLICATION'] != 'true'}">
            <center>
                This coding example is located in the relative directory <a href="${pageContext.request.contextPath}/faces/index.jsp" target="bpcatalog">
                <i>BPCATALOG_INSTALL_DIR</i>/apps/webtier/bp-progress-bar</a>
                <br/>
            </center>    
        </c:if>
        <jsp:include page="footer.jsp" />    
    </body>
</html>
