<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%--
To do:
- try and read templates once.
- Resize images
--%>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/blueprints/ui" prefix="popup" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta HTTP-EQUIV="no-cache"/>
        <meta http-equiv="Pragma" content="no-cache"/> 
        <meta http-equiv="Cache-Control" content="no-cache"/>        
        <title>JSF Popup Balloon Component</title>
        
<script type="text/javascript">
    function customReturn(type, data, evt) {
        var resultx = data.getElementsByTagName("response")[0];
        dojo.byId("imageIdxx").src=resultx.getElementsByTagName("image")[0].childNodes[0].nodeValue;
        dojo.byId("reflink").href=resultx.getElementsByTagName("link")[0].childNodes[0].nodeValue;
        dojo.byId("value1xx").firstChild.nodeValue=resultx.getElementsByTagName("name")[0].childNodes[0].nodeValue;
        dojo.byId("value2xx").firstChild.nodeValue=resultx.getElementsByTagName("description")[0].childNodes[0].nodeValue;
    }
</script>        

<style>
    .pop4{background: #FFFFFF; border-style: groove; border-width: thin; margin:0px 10px; width: 398px;}
    .popTop{background:#696;margin:0px 10px; width: 400px; height:20px;z-index: 1;}
    .popTop div.cornerTL{width:100%;height:20px;background:url("../images/corner_tl.gif") no-repeat top left}
    .popTop div.cornerTR{width:100%;height:20px;background:url("../images/corner_tr.gif") no-repeat top right}

    .popBot{background:#696;margin:0px 10px; width: 400px; height:10px;z-index: 1;}
    .popBot div.cornerBL{width:100%;height:10px;background:url("../images/corner_bl.gif") no-repeat bottom left}
    .popBot div.cornerBR{width:100%;height:10px;background:url("../images/corner_br.gif") no-repeat bottom right}   

</style>
    </head>
    <body bgcolor="#ffffff">

        <h1>JSF Popup Balloon Component</h1>
        <f:view>
            <popup:popupTag id="pop1" xmlHttpRequestURL="../DetailServlet?animalcode=" 
                elementNamePairs="name=value1,description=value2,image=imageId" color="blue">
                <!-- Used as spaces to center the table, this could be done programmatically,
                but browser diff, so I left it in the hands of the component user.  The image is located 
                in the component jar so for retrieval, push it through the faces servlet -->
                <img id="spaceImage" height="10px" width="16px" src="${pageContext.request.contextPath}/faces/static/META-INF/popup/images/spacer.gif" align="left">
                <table border="1" width="260px" bgcolor="#ffffff" cellpadding="5" cellspacing="5">
                    <tr>
                        <th align="right"><span id="title1">Breed:</span></th>
                        <td><span id="value1">value1</span></td>
                    </tr>
                    <tr>
                        <th align="right" valign="top"><span id="title2">Desription:</span></th>
                        <td><span id="value2">Value2</span></td>
                    </tr>
                    <tr>
                        <td colspan="2" align="center"><img name="image" id="imageId" src="" 
                            width="120" height="90" alt="[Loading Image...]" border="2"/></td>
                    </tr>
                </table>                    
            </popup:popupTag>
            

            <popup:popupTag id="pop2" xmlHttpRequestURL="../DetailServlet?animalcode=" retFunction="customReturn" color="black" width="400">
                <!-- Used as spaces to center the table, this could be done programmatically,
                but browser diff, so I left it in the hands of the component user.  The image is located 
                in the component jar so for retrieval, push it through the faces servlet -->
                <img id="spaceImage" height="10px" width="16px" src="${pageContext.request.contextPath}/faces/static/META-INF/popup/images/spacer.gif" align="left">
                <table border="0" width="360px" bgcolor="#ffffff" cellpadding="5" cellspacing="5">
                    <tr>
                        <td colspan="2" align="right">
                            <span onclick="bpui.popup.hide('pop2')" style="z-index: 4; position: relative; cursor: pointer">
                                <b>[<u>CLOSE</u>]</b>
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" align="center"><img id="imageIdxx" src="" 
                            width="120" height="90" alt="[Loading Image ...]" border="2"/></td>
                    </tr>
                    <tr>
                        <th align="right"><span id="title1xx">Breed:</span></th>
                        <td><span id="value1xx">Value1</span></td>
                    </tr>
                    <tr>
                        <th align="right" valign="top"><span id="title2xx">Description:</span></th>
                        <td><span id="value2xx">Value2</span></td>
                    </tr>
                    <tr>
                        <th align="right" valign="top">Link</th>
                        <td>
                            <a id="reflink" href="http://dictionary.reference.com" onclick="bpui.popup.hide('pop2')" target="bpcatalogx"
                            style="z-index: 4; position: relative; cursor: pointer">
                            Dictionary Definition</a>
                        </td>
                    </tr>
                    
                </table>
            </popup:popupTag>

            
            <popup:popupTag id="pop3" xmlHttpRequestURL="../DetailServlet?animalcode=" 
                elementNamePairs="name=value1x,description=value2x,image=imageIdx" color="bubble" width="400">
                <!-- Used as spaces to center the table, this could be done programmatically,
                but browser diff, so I left it in the hands of the component user.  The image is located 
                in the component jar so for retrieval, push it through the faces servlet -->
                <img id="spaceImage" height="10px" width="16px" src="${pageContext.request.contextPath}/faces/static/META-INF/popup/images/spacer.gif" align="left">
                <table border="1" width="360px" bgcolor="#ffffff" cellpadding="5" cellspacing="5">
                    <tr>
                        <th align="right"><span id="title1">Breed:</span></th>
                        <td><span id="value1x">value1</span></td>
                    </tr>
                    <tr>
                        <th align="right" valign="top"><span id="title2">Desription:</span></th>
                        <td><span id="value2x">Value2</span></td>
                    </tr>
                    <tr>
                        <td colspan="2" align="center"><img name="image" id="imageIdx" src="" 
                            width="120" height="90" alt="[Loading Image...]" border="2"/></td>
                    </tr>
                </table>                    
            </popup:popupTag>            
            
            <popup:popupTag id="pop4" xmlHttpRequestURL="../DetailServlet?animalcode=" color="none" 
                width="400" display="before" delay="1000" elementNamePairs="name=value1z,description=value2z,image=imageIdz" height="350">
                <div class="popTop">
                    <div class="cornerTL"><div class="cornerTR">
                    <center><font color="white"><b>Custom Popup</b></font></center>
                    </div></div>
                </div>      
                <div class="pop4">
                    <table border="0" style="width: 100%">
                        <tr> 
                            <td>
                                <table border="0" bgcolor="#ffffff" cellpadding="5" cellspacing="5">
                                    <tr>
                                        <td colspan="2" align="right">
                                            <span onclick="bpui.popup.hide('pop4')" style="z-index: 4; position: relative; cursor: pointer">
                                                <b>[<u>CLOSE</u>]</b>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" align="center"><img id="imageIdz" src="" 
                                        width="120" height="90" alt="[Loading Image ...]" border="2"/></td>
                                    </tr>
                                    <tr>
                                        <th align="right">Breed:</th>
                                        <td><span id="value1z">Value1</span></td>
                                    </tr>
                                    <tr>
                                        <th align="right" valign="top">Description:</th>
                                        <td><span id="value2z">Value2</span></td>
                                    </tr>
                                    <tr>
                                        <th align="right" valign="top">Link:</th>
                                        <td>
                                            <a id="reflink" href="http://dictionary.reference.com" onclick="bpui.popup.hide('pop4')" target="bpcatalog"
                                            style="z-index: 4; position: relative; cursor: pointer">
                                            Dictionary Definition</a>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>            
                    </table>
                </div>
                <div class="popBot">
                    <div class="cornerBL"><div class="cornerBR">
                    </div></div>
                </div> 
            </popup:popupTag>             
            
            <i>Scroll mouse over Dog breed names and wait for a second to see the popup.  
            The items in the table and links below, use different Popup JSF components.</i><br><br>
        
            <table border="1">
                <tr>
                    <td valign="top">
                        <table border="1" cellpadding="10" cellspacing="10">
                            <tr>
                                <td>
                                    <span onmouseover="bpui.popup.show('pop1', event, 'LAB')" onmouseout="bpui.popup.hide('pop1')" style="cursor: pointer">Labrador Retriever<br/><small><i>(Blue Popup that is activated through the<br/>mouseover and mouseout event handlers)</i></small></span>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <span onmouseover="bpui.popup.show('pop2', event, 'BULL')" onmouseout="bpui.popup.clearTimer()" style="cursor: pointer">Bulldog<br/><small><i>(Light Black Popup that has clickable links.<br/>It is activated through the mouseover event handler)</i></small></span>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <span onmouseover="bpui.popup.show('pop4', event, 'PUG')" onmouseout="bpui.popup.clearTimer()" style="cursor: pointer">Pug<br/><small><i>(Custom Popup that has clickable links.<br/>It is activated through the mouseover event handler)</i></small></span>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <span onmouseover="bpui.popup.show('pop3', event, 'BASSET')" onmouseout="bpui.popup.hide('pop3')" style="cursor: pointer">Basset Hound<br/><small><i>(White Popup bubble that is activated through the<br/>mouseover and mouseout event handlers)</i></small></span>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </f:view>
        <br/><br/><br/>
        <c:if test="${initParam['com.sun.blueprints.LIVE_APPLICATION'] != 'true'}">
            <center>
                This coding example is located in the relative directory <a href="${pageContext.request.contextPath}/faces/index.jsp" target="bpcatalog">
                <i>BPCATALOG_INSTALL_DIR</i>/apps/webtier/bp-popup-balloon</a>
                <br/>
            </center>    
        </c:if>
        <jsp:include page="footer.jsp" />    
        
    </body>
</html>
