<%-- Copyright 2007 Sun Microsystems, Inc.  All rights reserved.  You may not modify, use, reproduce, or distribute this software except in compliance with the terms of the License at: 
 http://developer.sun.com/berkeley_license.html
 $Id: item.jsp,v 1.3 2007/03/29 23:12:09 inder Exp $ --%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<html>
    <head>
        <title>Java[tm] BluePrints Solutions Catalog: using Java persistence</title>
    </head>
    <body>  
        <h2 align="center">Java Persistence Sample Application </h2>            
        <h3>Item Details </h3>    
        <%@ page import="com.sun.javaee.blueprints.autoid.model.*" %>
        <%          
            // Using a scriptlet to get the item bean because it is possible that the item is not set. 
            // That happens if the item was not available for the supplied item Id. 
            Item item = (Item)request.getAttribute("item");            
        %>
        <c:if test="${not empty item}">
            <table>
                <tr>
                    <td><b> ${item.name}</b> </td>
                    <td>$ ${item.listPrice}</td>  
                </tr>    
                <tr>
                    <td>${item.description}<td>
                </tr>              
            </table>
        </c:if>
        <c:if test="${empty item}">
            <p> No items were found with this ID. Please try again. </p>
        </c:if>
        <p> <a href="index.do">Go back to sample application home</a> </p>
        <br/><br/><br/><br/><br/><br/>
        <c:if test="${initParam['com.sun.blueprints.LIVE_APPLICATION'] != 'true'}">
            <center>
                This coding example is located in the relative directory <a href="${pageContext.request.contextPath}/index.jsp" target="bpcatalog">
                <i>BPCATALOG_INSTALL_DIR</i>/apps/persistence/bp-persistence-webonly</a>
                <br/>
            </center>    
        </c:if>
        <jsp:include page="footer.jsp" />    
    </body>
</html>
