<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib prefix="ui" uri="http://java.sun.com/blueprints/ui" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Map Display</title>
    </head>
    <body>

    <h1>Map Display</h1>
    <f:view>
    
        <ui:mapViewer id="mapViewerx" center="#{MapBean.mapPoint}" info="#{MapBean.mapMarker}"
            markers="#{MapBean.locations}" zoomLevel="4" style="height: 500px; width: 700px"/>

        <h:form>
            <h:commandButton id="back" action="back" type="submit" value="Back"/>
        </h:form>
    </f:view>
    <br/><br/><br/>
    <c:if test="${initParam['com.sun.blueprints.LIVE_APPLICATION'] != 'true'}">
        <center>
            This coding example is located in the relative directory <a href="${pageContext.request.contextPath}/faces/index.jsp" target="bpcatalog">
            <i>BPCATALOG_INSTALL_DIR</i>/apps/webtier/bp-map-viewer</a>
            <br/>
        </center>    
    </c:if>
    <jsp:include page="footer.jsp" />    
    </body>
</html>
