<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%--
The taglib directive below imports the JSTL library. If you uncomment it,
you must also add the JSTL library to the project. The Add Library... action
on Libraries node in Projects view can be used to add the JSTL 1.1 library.
--%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Standalone Simple AJAX Popup</title>
    </head>
<script type="text/javascript">
    if(typeof(bpui) == 'undefined') {
        var bpui=new Object();
    }

    bpui.alone=new Object();
    bpui.alone.timeout="";
    bpui.alone.req="";

    bpui.alone.showPopup=function(eventx, itemId) {
        // statically setup popup for simple case
        popupx="pop0";
        // take into account window scrolling for accurate popup position
        var xx=0;
        var yy=0;
        if (!eventx) var eventx=window.event;
        if (eventx.pageX || eventx.pageY){
            xx=eventx.pageX;
            yy=eventx.pageY;
        } else if (eventx.clientX || eventx.clientY) {
            xx=eventx.clientX + document.body.scrollLeft;
            yy=eventx.clientY + document.body.scrollTop;        
        }
        document.getElementById(popupx).style.left= (xx + 3) + "px";
        document.getElementById(popupx).style.top=yy + "px";
        bpui.alone.timeout=setTimeout("bpui.alone.showPopupInternal('" + popupx + "', '" + itemId + "')", 1000);
    }


    bpui.alone.showPopupInternal=function(popupx, itemId) {
        // calculate arrow and border image location
        bpui.alone.req=bpui.alone.initRequest();

        url="./standalone_lookup.jsp?itemId=" + escape(itemId);
        bpui.alone.req.onreadystatechange = bpui.alone.ajaxReturnFunction;
        bpui.alone.req.open("GET", url, true);
        bpui.alone.req.send(null);
    }


    bpui.alone.ajaxReturnFunction=function() {
        // statically setup popup for simple case
        var componentId="pop0";
        if (bpui.alone.req.readyState == 4) {
            if (bpui.alone.req.status == 200) {
                var resultx=bpui.alone.req.responseXML.getElementsByTagName("response")[0];
                document.getElementById(componentId + "_title").innerHTML=resultx.getElementsByTagName("title")[0].childNodes[0].nodeValue;
                document.getElementById(componentId + "_message").innerHTML=resultx.getElementsByTagName("message")[0].childNodes[0].nodeValue;;
                // show popup with the newly populated information
                document.getElementById(componentId).style.visibility='visible';
            } else if (bpui.alone.req.status == 204){
                alert("204 returned from AJAX call");
            }
        }
    }

    bpui.alone.hidePopup=function() {
        // statically setup popup for simple case
        popupx="pop0";
        document.getElementById(popupx).style.visibility='hidden';
        bpui.alone.clearTimeout();
    }

    bpui.alone.clearTimeout=function() {
        clearTimeout(bpui.alone.timeout);
    }


    bpui.alone.initRequest=function() {
        if (window.XMLHttpRequest) {
            return new XMLHttpRequest();
        } else if (window.ActiveXObject) {
            return new ActiveXObject("Microsoft.XMLHTTP");
        }
    }

</script> 
<style>
.bpui_alone_popMid{background: #FFFFFF; border-style: groove; border-width: thin; margin:0px 10px; width: 497px;}
.bpui_alone_popTop{background:#696;margin:0px 10px; width: 500px; height:20px;z-index: 1;}
.bpui_alone_popTop div.bpui_alone_cornerTL{width:100%;height:20px;background:url("./images/alone_corner_tl.gif") no-repeat top left}
.bpui_alone_popTop div.bpui_alone_cornerTR{width:100%;height:20px;background:url("./images/alone_corner_tr.gif") no-repeat top right}

.bpui_alone_popBot{background:#696;margin:0px 10px; width: 500px; height:10px;z-index: 1;}
.bpui_alone_popBot div.bpui_alone_cornerBL{width:100%;height:10px;background:url("./images/alone_corner_bl.gif") no-repeat bottom left}
.bpui_alone_popBot div.bpui_alone_cornerBR{width:100%;height:10px;background:url("./images/alone_corner_br.gif") no-repeat bottom right}   

div.bpui_alone_popup {
    position:absolute;
    left:0px;
    top:0px;
    z-index:2;
    visibility:hidden;
}    
</style>   
    <body>
    <h1>Standalone Simple AJAX Popup</h1>
    
        <!-- BEGIN: popup display div -->
        <div id="pop0" class="bpui_alone_popup">
            <div class="bpui_alone_popTop">
                <div class="bpui_alone_cornerTL"><div class="bpui_alone_cornerTR">
                    <center><font color="white"><b><span id="pop0_title">title</span></b></font></center>    
                </div></div>
            </div>
            <div class="bpui_alone_popMid">    
                <table border="0" style="width: 100%">        
                    <tr>           
                        <td>                
                            <table border="0" bgcolor="#ffffff" cellpadding="5" cellspacing="5">                    
                                <tr>                        
                                    <td><span id="pop0_message">Value</span></td>                    
                                </tr>                
                            </table>            
                        </td>        
                    </tr>    
                </table>
            </div>
            <div class="bpui_alone_popBot">    
                <div class="bpui_alone_cornerBL"><div class="bpui_alone_cornerBR">   
                </div></div>
            </div>
        </div>
        <!-- END: popup display div -->

        
        <a href="#" onmouseover="bpui.alone.showPopup(event, 'test1')" 
        onmouseout="bpui.alone.hidePopup()" style="cursor: pointer"><b>Mouse over link to see popup (test1)</b></a><br/>
        <small><i>(With a JSP fulfilling AJAX Request)</i></small><br/><br/>
        
        <a href="#" onmouseover="bpui.alone.showPopup(event, 'test2')" 
        onmouseout="bpui.alone.clearTimeout()" style="cursor: pointer"><b>Mouse over link to see popup (test2)</b></a><br/>
        <small><i>(With a JSP fulfilling AJAX Request)</i></small><br/><br/>
        
        <br/><br/><br/><br/><br/><br/>
        <c:if test="${initParam['com.sun.blueprints.LIVE_APPLICATION'] != 'true'}">
            <center>
                This coding example is located in the relative directory <a href="${pageContext.request.contextPath}/faces/index.jsp" target="bpcatalog">
                <i>BPCATALOG_INSTALL_DIR</i>/ee5/webtier/bp-jsf-example</a>
                <br/>
            </center>    
        </c:if>
        <jsp:include page="footer.jsp" />    
        
    </body>
</html>
