/* Copyright 2005 Sun Microsystems, Inc. All rights reserved. You may not modify, use, reproduce, or distribute this software except in compliance with the terms of the License at: http://developer.sun.com/berkeley_license.html  
$Id: DateValidatorTag.java,v 1.1 2005/03/08 22:08:46 gmurray71 Exp $ */

package com.sun.j2ee.blueprints.bpcatalog.validator;


import javax.faces.webapp.ValidatorTag;
import javax.faces.validator.Validator;
import javax.servlet.jsp.JspException;


/**
 * DateValidatorTag 
 */

public class DateValidatorTag extends ValidatorTag {

    private String datePattern = null;
 


    public DateValidatorTag() {
        super();
        super.setValidatorId("DateValidator");
    }

 
    public String getPattern() {
        return datePattern;
    }

    public void setPattern(String datePattern) {
       this.datePattern = datePattern;
    }

    protected Validator createValidator() throws JspException {
        DateValidator dv = null;
        dv = (DateValidator) super.createValidator();
        dv.setDatePattern(datePattern);
        return dv;
    }

}

