/* Copyright 2005 Sun Microsystems, Inc. All rights reserved. You may not modify, use, reproduce, or distribute this software except in compliance with the terms of the License at: http://developer.sun.com/berkeley_license.html  
$Id: ValidatorBean.java,v 1.1 2005/03/08 22:08:46 gmurray71 Exp $ */

package com.sun.j2ee.blueprints.bpcatalog.validator;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.application.FacesMessage;
import javax.faces.validator.ValidatorException;
import javax.faces.validator.LongRangeValidator;
import javax.faces.validator.Validator;


public class ValidatorBean {

    private String userName = null;
    private String response = null;
    private String color = null;
    private int bigNumber = 0;
    private int smallNumber = 0;


    public ValidatorBean() {}


    public void setUserName(String userName) {
        this.userName = userName;
    }


    public String getUserName() {
        return userName;
    }
    
    public int getBigNumber() {
        return bigNumber;
    }
    
    public void setBigNumber(int bigNumber) {
        this.bigNumber = bigNumber;
    }
    
    public int getSmallNumber() {
        return smallNumber;
    }
    
    public void setSmallNumber(int smallNumber) {
        this.smallNumber = smallNumber;
    }
    
    public void setColor(String color) {
        this.color = color;
    }

    public String getColor() {
        return color;
    }

    public String getResponse() {
        return "The User name is now " + userName + ".";
    }


    public void validate(FacesContext context,
                         UIComponent component,
                         Object value) throws ValidatorException {

        if ((context == null) || (component == null)) {
            throw new NullPointerException();
        }
        if (value != null) {
           if (((String)value).equals("blueprints")) {
               throw new ValidatorException(new FacesMessage("blueprints is invalid"));
           }
        }
    }
}

