/* Copyright 2005 Sun Microsystems, Inc. All rights reserved. You may not modify, use, reproduce, or distribute this software except in compliance with the terms of the License at: http://developer.sun.com/berkeley_license.html
 */

/*
 * $Id: ProgressBarBean.java,v 1.1 2006/06/20 01:08:12 inder Exp $
 */
 
package com.sun.javaee.blueprints.progressbar;

import java.util.Random;
import javax.faces.context.FacesContext;

public class ProgressBarBean {
    
    public ProgressBarBean() {
    }
    
    private int percentage=0, increment=10;
    private boolean running=false;
    
    public int getPercentage() {
        if(running) {
            if (percentage >= 100) {
                percentage=100;
                running=false;
            } else {
                percentage += increment;
            }
        }
        return percentage;
    }
    
    
    public void startTask(FacesContext context) {
        percentage=0;
        running=true;
    }    
    
}
