<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib prefix="ui" uri="http://java.sun.com/blueprints/ui/example" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>CompA Example - Custom Component using locally packaged artifacts and a Servlet</title>
    </head>
    <body>

        <h1>CompA Example - Custom Component using locally packaged artifacts and a Servlet</h1>
        
        <f:view>
            <ui:compA id="pop0" url="compA_lookup.jsp?itemId="/>
            <ui:compA id="pop1" url="CompAServlet?itemId="/>
        </f:view>


        <a href="#" onmouseover="bpui.compA.showPopup('pop0', event, 'test1')" 
        onmouseout="bpui.compA.hidePopup('pop0')" style="cursor: pointer"><b>Mouse over link to see popup (test1)</b></a><br/>
        <small><i>(With a JSP fulfilling AJAX Request)</i></small><br/><br/>
        
        <a href="#" onmouseover="bpui.compA.showPopup('pop0', event, 'test2')" 
        onmouseout="bpui.compA.clearTimeout()" style="cursor: pointer"><b>Mouse over link to see popup (test2)</b></a><br/>
        <small><i>(With a JSP fulfilling AJAX Request)</i></small><br/><br/>

        <a href="#" onmouseover="bpui.compA.showPopup('pop1', event, 'test1A')" 
        onmouseout="bpui.compA.hidePopup('pop1')" style="cursor: pointer"><b>Mouse over link to see popup (test1A)</b></a><br/>
        <small><i>(With a Servlet fulfilling AJAX Request)</i></small><br/><br/>
        
        <a href="#" onmouseover="bpui.compA.showPopup('pop1', event, 'test2A')" 
        onmouseout="bpui.compA.clearTimeout()" style="cursor: pointer"><b>Mouse over link to see popup (test2A)</b></a><br/>
        <small><i>(With a Servlet fulfilling AJAX Request)</i></small><br/><br/>
        
        <br/><br/><br/><br/><br/><br/>
        <c:if test="${initParam['com.sun.blueprints.LIVE_APPLICATION'] != 'true'}">
            <center>
                This coding example is located in the relative directory <a href="${pageContext.request.contextPath}/faces/index.jsp" target="bpcatalog">
                <i>BPCATALOG_INSTALL_DIR</i>/ee5/webtier/bp-jsf-example</a>
                <br/>
            </center>    
        </c:if>
        <jsp:include page="footer.jsp" />    
    </body>
</html>
