<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%--
The taglib directive below imports the JSTL library. If you uncomment it,
you must also add the JSTL library to the project. The Add Library... action
on Libraries node in Projects view can be used to add the JSTL 1.1 library.
--%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Popup Calendar Sample Selected Dates</title>
    </head>
    <body>
        <h1>Popup Calendar Sample Selected Dates</h1>
        <f:view>
            <h:form>
            <table border="1" cellpadding="5" cellspacing="5">
                <tr>
                    <th>Description</th>
                    <th>Selected Date</th>
                </tr>
                <tr>
                    <td>Default localeString. Default dateFormatPattern.</td>
                    <td>${sessionScope.CalendarBean.date1}</td>
                </tr>
                <tr>
                    <td>Specify dateFormatPattern of ISO date format</td>
                    <td>${sessionScope.CalendarBean.date2}</td>
                </tr>
                <tr>
                    <td>Specify localeString with "es", Spanish</td>
                    <td>${sessionScope.CalendarBean.date3}</td>
                </tr>
                <tr>
                    <td>Specify localeString with "zh_CN", Chinese China</td>
                    <td>${sessionScope.CalendarBean.date4}</td>
                </tr>
                <tr>
                    <td>Specify localeString with "ja_JP", Japanese Japan</td>
                    <td>${sessionScope.CalendarBean.date5}</td>
                </tr>
            </table>
            <h:messages/>
            <h:commandButton action="back" value="Back"/>
            </h:form>
        </f:view>
        <br/><br/><br/>
        <c:if test="${initParam['com.sun.blueprints.LIVE_APPLICATION'] != 'true'}">
            <center>
                This coding example is located in the relative directory <a href="${pageContext.request.contextPath}/faces/index.jsp" target="bpcatalog">
                <i>BPCATALOG_INSTALL_DIR</i>/apps/webtier/bp-popup-calendar</a>
                <br/>
            </center>    
        </c:if>
        <jsp:include page="footer.jsp" />    
    </body>
</html>
