<%-- Copyright 2005 Sun Microsystems, Inc. All rights reserved. You may not modify, use, reproduce, or distribute this software except in compliance with the terms of the License at: http://developer.sun.com/berkeley_license.html
$Id: custom-validators.jsp,v 1.1 2005/03/08 22:08:47 gmurray71 Exp $ --%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib prefix="date" uri="/WEB-INF/date.tld" %>

<html>
 <head> <title>Using  Custom Validators</title> </head>
 <body bgcolor="white">
  <a href="index.jsp">Go back to the application home</a>.
  <h1>Custom Validators</h1>
  <hr/>
    <f:view>
    <h:form id="validatorForm">
    <p>Enter a date (mm-dd-yyyy) with a year between 2000 and 2015:</p>                  
    <h:inputText id="date1" value="11-02-2004">
     <date:dateFormat pattern="(0[1-9]|1[012])[-/](0[1-9]|[12][0-9]|3[01])[-/]20(0[0-9]|[1][0-5])" />
    </h:inputText>
    <p>
     <h:message style="color: red" id="error1" for="date1"/>
    </p>
    <p>
     <h:commandButton id="submit" action="success" value="Submit" />
    </p>
    </h:form>
    </f:view>
   <p>
     This example uses a JSF custom validator that uses a JSP custom to provide a regular expression representing valid dates to the validator. Entering an incorrect date or one out of range will cause this page to be re-displayed with an error message.
   </p>
  </body>
</html>  
