<%-- Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.  You may not modify, 
use, reproduce, or distribute this software except in compliance with the terms of the 
License at: 
 http://developer.sun.com/berkeley_license.html
 $Id: index.jsp,v 1.3 2005/03/23 14:49:22 jenniferb Exp $ --%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib prefix="customTags" uri="WEB-INF/customTags.tld" %>

<html>
    <head> <title>Client-side Validator</title> </head>
    <body bgcolor="white">
    	<f:view>
    		<h:form id="validatorForm" onsubmit="return client_validation();" >
			<p>This application demonstrates both server-side and client-side
			   validation using JavaServer Faces Technology.  If you enter 
			   anything other than "red", "green", or "blue" in the
			   field on this page, one of the following should happen:
			   <ul>
			   <li> If you have JavaScript enabled in your browser, 
			   a pop-up window with the message 
			   "Enter red, green, or blue for the color." appears.</li>
			   <li> If you have JavaScript turned off, this page re-displays
			   with the error message "Enter red, green, or blue for the color".
			   </li>
			   </ul>
			   </p>
			<h:outputText value="Enter a color (red, green, or blue):"/><p></p>                 
			<h:inputText id="color" >
				<f:validator validatorId="ColorValidator" />
			</h:inputText>
			<p>
			<h:commandButton id="submit" action="success" value="Submit" />
			</p>
			<p>
			<h:message style="color: red" id="error1" for="color"/>
			</p>
			<customTags:script/>
		</h:form>
	</f:view>
    </body>
</html>  

