<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%--
The taglib directive below imports the JSTL library. If you uncomment it,
you must also add the JSTL library to the project. The Add Library... action
on Libraries node in Projects view can be used to add the JSTL 1.1 library.
--%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib prefix="ui" uri="http://java.sun.com/blueprints/ui" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Rating Sample</title>
    </head>
    <body>
        <h1>Rating Sample</h1>
        <p>
        To test the rating component, run your mouse over the stared images.  To select a value, just 
        click the left mouse button. When the button is clicked, the value is sent to the server through an 
        AJAX call.  To verify the values are set click the "Submit" button.
        </p>
        <f:view>
            <h:form>
            <table border="1" cellpadding="5" cellspacing="5">
                <tr>
                    <th>Quantity</th>
                    <th>Description</th>
                    <th>Price</th>
                    <th>Rating</th>
                </tr>
                <tr>
                    <td>1</td>
                    <td>Brown Pug</td>
                    <td>$59.00</td>
                    <td>
                        <ui:rating id="rating" maxGrade="5" includeNotInterested="true" includeClear="true" 
                        hoverTexts="#{RatingBean.ratingText}" notInterestedHoverText="Not Interested" clearHoverText="Clear Rating"
                        grade="#{RatingBean.grade}"/>
                    </td>
                </tr>
                <tr>
                    <td>1</td>
                    <td>Fury Cat</td>
                    <td>$89.00</td>
                    <td>
                        <ui:rating id="rating_two" maxGrade="5" includeNotInterested="true" includeClear="true" 
                        hoverTexts="#{RatingBean.ratingText}" notInterestedHoverText="Not Interested" clearHoverText="Clear Rating"
                        grade="#{RatingBean.grade2}"/>
                    </td>
                </tr>
                <tr>
                    <td>1</td>
                    <td>Grumpy Pelican</td>
                    <td>$100.00</td>
                    <td>
                        <ui:rating id="rating_three" maxGrade="5" includeNotInterested="true" includeClear="true" 
                        hoverTexts="#{RatingBean.ratingText}" notInterestedHoverText="Not Interested" clearHoverText="Clear Rating"
                        grade="#{RatingBean.grade3}"/>
                    </td>
                </tr>
            </table>
            <h:messages/>
            <h:commandButton action="submitData" value="Submit"/>
            </h:form>
        </f:view>
        <br/><br/><br/>
        <c:if test="${initParam['com.sun.blueprints.LIVE_APPLICATION'] != 'true'}">
            <center>
                This coding example is located in the relative directory <a href="${pageContext.request.contextPath}/faces/index.jsp" target="bpcatalog">
                <i>BPCATALOG_INSTALL_DIR</i>/apps/webtier/bp-rating</a>
                <br/>
            </center>    
        </c:if>
        <jsp:include page="footer.jsp" />    
    </body>
</html>
