<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib prefix="ui" uri="http://java.sun.com/blueprints/ui" %>
<html>
<head>
<title>AJAX FileUpload Page</title>
<script>

    function props(namex) {
        var listx="";
        var ob=dojo.byId(namex);
        for(xx in ob) {
            listx += xx + " = " + ob[xx] + "<br/>"
        }
        //document.write(listx);
        alert(listx);
    }
    
    function testRetFunction(type, data, evt){
        // handle successful response here
        var resultx = data.getElementsByTagName("response")[0];
        if(resultx) {
            alert("Customer AJAX Return Function Call" + '\n' +
                "Message: " + resultx.getElementsByTagName("message")[0].childNodes[0].nodeValue + '\n' + 
                "Status Code: " + resultx.getElementsByTagName("status")[0].childNodes[0].nodeValue + '\n' + 
                "Raw Duration Time (milliseconds): " + resultx.getElementsByTagName("duration")[0].childNodes[0].nodeValue + '\n' + 
                "Duration Time String: " + resultx.getElementsByTagName("duration_string")[0].childNodes[0].nodeValue + '\n' + 
                "Start Date/Time: " + resultx.getElementsByTagName("start_date")[0].childNodes[0].nodeValue + '\n' + 
                "End Date/Time: " + resultx.getElementsByTagName("end_date")[0].childNodes[0].nodeValue + '\n' + 
                "Byte Size of Upload: " + resultx.getElementsByTagName("upload_size")[0].childNodes[0].nodeValue);
        } else {
            alert("Customer AJAX Return Function Call");
        }
    }
    
</script>
</head>
<body>
    <h1>AJAX FileUpload Page</h1>
    
    <f:view>

        <table border="1" colspacing="5" colpadding="5">
            <tr>
                <td>
                    <br/>FileUpload Test:  
                    <br/>This form tests the upload and custom return functionality with progress bar of the JSF file upload component.<br/>
                    <ui:fileUploadTag id="TestFileuploadForm0" retFunction="testRetFunction" retMimeType="text/xml" 
                        postProcessingMethod="#{FileUploadCustomBean.postProcessingMethod}"
                        progressBarDivId="progress1x" progressBarSubmitId="submit1x" progressBarSize="40">
                        <input type="file" size="40" name="fileToUpload0" id="fileToUpload0Id"/><br/>
                        <input type="file" size="40" name="fileToUpload1" id="fileToUpload1Id"/><br/>
                        <input type="file" size="40" name="fileToUpload2" id="fileToUpload2Id"/><br/>
                        <input type="submit" id="submit1x" name="submit1x" value="Submit"/><br/>
                        <div id="progress1x"></div><br/>                    
                    </ui:fileUploadTag>
                </td>
            </tr>
        </table>
        
    </f:view>
    <br/><br/><br/><br/><br/><br/>
    <c:if test="${initParam['com.sun.blueprints.LIVE_APPLICATION'] != 'true'}">
        <center>
            This coding example is located in the relative directory <a href="${pageContext.request.contextPath}/faces/index.jsp" target="bpcatalog">
            <i>BPCATALOG_INSTALL_DIR</i>/apps/webtier/bp-file-upload</a>
            <br/>
        </center>    
    </c:if>
    <jsp:include page="footer.jsp" />    
</body>
</html>

