<%-- Copyright 2007 Sun Microsystems, Inc.  All rights reserved.  You may not modify, use, reproduce, or distribute this software except in compliance with the terms of the License at: 
 http://developer.sun.com/berkeley_license.html
$Id: index.jsp,v 1.5 2007/04/11 01:25:56 sean_brydon Exp $ --%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %> 
<html>
    <head>
        <title>Java[tm] BluePrints Solutions Catalog: using Java persistence</title>
    </head>
    <body>        
        <h2 align="center">Java Persistence Sample Application </h2>            
        <p>This sample application showcases the usage of the Java Persistence 
            API. <br>You can browse a catalog of items, add an item, or enter an item ID and 
        view item details. </p>
        <b><a href="findallitems.do">Show all items in the catalog</a></b>
        <br><b><a href="findallitemsasxml.do">Show (as XML) all items in the catalog</a></b>
        <br><b><a href="enteritemid.do">Enter an item ID and view item details</a></b>
        <br><b><a href="enteritemdetails.do">Add an item to the catalog</a></b>
        <br/><br/><br/><br/><br/><br/>
        <c:if test="${initParam['com.sun.blueprints.LIVE_APPLICATION'] != 'true'}">
            <center>
                This coding example is located in the relative directory <a href="${pageContext.request.contextPath}/index.jsp" target="bpcatalog">
                <i>BPCATALOG_INSTALL_DIR</i>/apps/persistence/bp-persistence-webonly</a>
                <br/>
            </center>    
        </c:if>
        <jsp:include page="footer.jsp" />    
    </body>
</html>
