<%-- Copyright 2005 Sun Microsystems, Inc.  All rights reserved.  You may not modify, use, reproduce, or distribute this software except in compliance with the terms of the License at: 
 http://developer.sun.com/berkeley_license.html
 $Id: index.jsp,v 1.26 2005/08/12 19:43:06 smitha Exp $ --%>
<html>
    <head>
        <title>Java[tm] BluePrints Solutions Catalog: J2EE Web component as a client of a Web service</title>
    </head>

    <body>
        <%@ page import="java.util.*,java.text.*" %>
        <h2>J2EE Web component as a client of a Web service sample application
        </h2>
        <p>
            This sample application demonstrates a J2EE Web component (Servlet or JSP page)acting as the client of a Web service. 
            This application accesses the document oriented Web service applications included in the Java BluePrints Solutions Catalog. 
            It sends a purchase order XML document to a service endpoint and receives an order id in return.
        </p>
        <p>
            Also, note that you can demonstrate a web service throwing a service application-defined exception by choosing the value 100 for the purchase order ID.
        </p>
        Please use the Send PO button to create and send a purchase order document containing the data in the form below:
        <form name="invokeservice" action="invokeservice.do" method="GET">
            <table>
            <tr>
                <td colspan="2"><b>PO ID :</b>
                    <input type="text" size="20" name="po_id" value="12345678">
                </td>
            </tr>
            <tr>
                <td colspan="2"><b>Date :</b>
                    <input type="text" size="20" name="po_date" value='<%= (new SimpleDateFormat("yyyy-MM-dd")).format(Calendar.getInstance().getTime()) %>'>
                </td>
            </tr>
            <tr>
            <td >
            <table border="0" cellpadding="5" cellspacing="0" align="left">
                <tr>
                    <td><b>Billing Information:</b></td>
                    <td></td>
                </tr>
                <tr>
                    <td><b>First Name:</b></td>
                    <td><input type="text" size="20" name="po_billing_givenName" value="John"></td>
                </tr>
                <tr>
                    <td><b>Last Name:</b></td>
                    <td><input type="text" size="20" name="po_billing_familyName" value="Smith"></td>
                </tr>
                <tr>
                    <td><b>Street:</b></td>
                    <td><input type="text" size="20" name="po_billing_street"  value="abc st"></td>
                </tr>
                <tr>
                    <td><b>City:</b></td>
                    <td><input type="text" size="20" name="po_billing_city"  value="abc city"></td>
                </tr>
                <tr>
                    <td><b>State:</b></td>
                    <td><input type="text" size="20" name="po_billing_state"  value="CA"></td>
                </tr>
                <tr>
                    <td><b>Zip Code:</b></td>
                    <td><input type="text" size="20" name="po_billing_zipCode" value="99999">  
                    </td>
                </tr>
            </table>
            </td >
            <td >
            <table border="0" cellpadding="5" cellspacing="0" align="left">
                <tr>
                    <td><b>Shipping Information:</b></td>
                    <td></td>
                </tr>
                <tr>
                    <td><b>First Name:</b></td>
                    <td><input type="text" size="20" name="po_shipping_givenName" value="John"></td>
                </tr>
                <tr>
                    <td><b>Last Name:</b></td>
                    <td><input type="text" size="20" name="po_shipping_familyName" value="Smith"></td>
                </tr>
                <tr>
                    <td><b>Street:</b></td> 
                    <td><input type="text" size="20" name="po_shipping_street"  value="abc st"></td>
                </tr>
                <tr>
                    <td><b>City:</b></td>
                    <td><input type="text" size="20" name="po_shipping_city"  value="abc city"></td>
                </tr>
                <tr>
                    <td><b>State:</b></td>
                    <td><input type="text" size="20" name="po_shipping_state"  value="CA"></td>
                </tr>
                <tr>
                    <td><b>Zip Code:</b></td>
                    <td><input type="text" size="20" name="po_shipping_zipCode" value="99999"> 
                    </td>
                </tr>
            </table>
            </td >
            </tr>
            </table>
            <b>Line Items:</b>
            <table>
            <tr>
            <td >
            <table border="0" cellpadding="5" cellspacing="0" align="left">
                <tr>
                    <td colspan="2"><b>Line Item 1:</b></td> <td></td>
                </tr>
                <tr>
                    <td><b>Item  :</b></td> 
                    <td><input type="text" size="20" name="po_itemID1"  value="Glass Ceiling Fan"></td>
                </tr>
                <tr>
                    <td><b>Quantity :</b></td> <td><input type="text" size="20" name="po_quantity1"  value="2"></td>
                </tr>
                <tr>
                    <td><b>Unit Price:</b></td> <td><input type="text" size="20" name="po_unitPrice1" value="200"></td>
                </tr>
            </table>
            </td >
            <td >
            <table border="0" cellpadding="5" cellspacing="0" align="left">
                <tr>
                    <td colspan="2"><b>Line Item 2:</b></td> <td></td>
                </tr>
                <tr>
                    <td><b>Item :</b></td> <td><input type="text" size="20" name="po_itemID2"  value="Stainless Steel Blender"></td>
                </tr>
                <tr>
                    <td><b>Quantity :</b></td> <td><input type="text" size="20" name="po_quantity2"  value="1"></td>
                </tr>
                <tr>
                    <td><b>Unit Price:</b></td> <td><input type="text" size="20" name="po_unitPrice2" value="75"></td>
                </tr>
            </table>
            </td >
            </tr>
            </table>

            <table border="0">
                <tr>
                    <td><b>Pass the document as:</b></td>
                    <td>
                        <input type="radio" name="type" value="String" checked="checked"> String
                        <input type="radio" name="type" value="Object"> XML schema-defined type
                        <input type="radio" name="type" value="AnyType"> anyType
                        <input type="radio" name="type" value="Any"> any      
                        <input type="radio" name="type" value="Attachment"> Attachment
                    </td>
                </tr>
                <tr>
                    <td>
                        <input type="submit" value="Send PO">
                    </td>
                </tr>
            </table>
        </form>
    </body>
</html>