<%-- Copyright 2005 Sun Microsystems, Inc. All rights reserved. You may not modify, use, reproduce, or distribute this software except in compliance with the terms of the License at: http://developer.sun.com/berkeley_license.html
$Id: managed-bean-validators.jsp,v 1.2 2005/03/08 22:19:52 gmurray71 Exp $ --%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib prefix="date" uri="/WEB-INF/date.tld" %>


<html>
 <head> <title>Managed Bean Validators</title> </head>
 <body bgcolor="white">
  <a href="index.jsp">Go back to the application home</a>.
  <h1>Managed Bean Validators</h1>
  <hr/>
    <f:view>
    <h:form id="validatorForm">
    <p>Enter a name (not &quot;blueprints&quot;):</p>
  	<h:inputText id="userName" value="#{ValidatorBean.userName}"
                      validator="#{ValidatorBean.validate}"/>
    </p>
    <p>
     <h:message style="color: red" id="error2" for="userName"/>
    </p>
    <p>
     <h:commandButton id="submit" action="success" value="Submit" />
    </p>
    <p>
    </h:form>
    </f:view>
    <p>
    This example uses a managed bean (ValidatorBean) method validate to validate whether a form field. In the case of this example entering &quot;blueprints&quot; will cause a validation error.
    </p>
    </body>
</html>  
